# File: WeatherTool.py
#
# Copyright (c) 2006 by ['Ben Hirsch']
# Generator: ArchGenXML Version 1.4.1
#            http://plone.org/products/archgenxml
#
# Berkeley Software Distribution License (BSD)
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#   * Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#   * Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in
#     the documentation and/or other materials provided with the
#     distribution.
#
#   * Neither the name of the Plone Foundation nor the names of its
#     contributors may be used to endorse or promote products derived
#     from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

__author__ = """Ben Hirsch <benh@usa.net>"""
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
from Products.PloneWeather.config import *


from Products.CMFCore.utils import UniqueObject

    
##code-section module-header #fill in your manual code here
##/code-section module-header

schema = Schema((

),
)

##code-section after-local-schema #fill in your manual code here
##/code-section after-local-schema

WeatherTool_schema = BaseFolderSchema.copy() + \
    schema.copy()

##code-section after-schema #fill in your manual code here
WeatherTool_schema['id'].widget.visible = {'view':'hidden','edit':'hidden'}
WeatherTool_schema['title'].widget.visible = {'view':'hidden','edit':'hidden'}
WeatherTool_schema['title'].required = 0
WeatherTool_schema['description'].widget.visible = {'view':'hidden','edit':'hidden'}
##/code-section after-schema

class WeatherTool(UniqueObject, BaseFolder):
    security = ClassSecurityInfo()
    __implements__ = (getattr(UniqueObject,'__implements__',()),) + (getattr(BaseFolder,'__implements__',()),)

    # This name appears in the 'add' box
    archetype_name = 'WeatherTool'

    meta_type = 'WeatherTool'
    portal_type = 'WeatherTool'
    allowed_content_types = ['WeatherLocation']
    filter_content_types = 1
    global_allow = 0
    allow_discussion = False
    #content_icon = 'WeatherTool.gif'
    immediate_view = 'base_view'
    default_view = 'base_view'
    suppl_views = ()
    typeDescription = "WeatherTool"
    typeDescMsgId = 'description_edit_weathertool'

    actions =  (


       {'action': "string:${object_url}/configlet_weathertool",
        'category': "object",
        'id': 'view',
        'name': 'View',
        'permissions': ("Manage portal",),
        'condition': 'python:1'
       },


    )
    toolicon = 'weather_tool.png'

    schema = WeatherTool_schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header


    # tool-constructors have no id argument, the id is fixed
    def __init__(self, id=None):
        BaseFolder.__init__(self,'portal_weather')
        
        ##code-section constructor-footer #fill in your manual code here
        ##/code-section constructor-footer


    # Methods

    # Manually created methods

    def Title(self):
    	return "Plone Weather"



registerType(WeatherTool,PROJECTNAME)
# end of class WeatherTool

##code-section module-footer #fill in your manual code here
##/code-section module-footer



